Page MenuHomePhabricator

Cache property info with one key per property
Closed, ResolvedPublic

Description

  • In CacheAwareInfoPropertyStore, cache properties separately with a key-per-property
  • Keep caching the whole table as well

Event Timeline

Addshore triaged this task as High priority.Mar 12 2019, 5:25 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMar 19 2019, 12:19 PM

Change 497471 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@master] Cache property info with one key per property in CacheAwarePropertyInfoStore

https://gerrit.wikimedia.org/r/497471

alaa_wmde updated the task description. (Show Details)Mar 19 2019, 2:40 PM
alaa_wmde updated the task description. (Show Details)

Change 497471 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Cache property info with one key per property in CacheAwarePropertyInfoStore

https://gerrit.wikimedia.org/r/497471

Addshore closed this task as Resolved.Apr 9 2019, 9:35 AM